> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/reference/exams/get-examstats.md).

# Get ExamStats

```json
{"openapi":"3.0.1","info":{"title":"Synap API","version":"3.0.0"},"tags":[{"name":"Exams","description":"Endpoints related to Exam creation and management."}],"servers":[{"url":"https://api.synap.ac/v3","description":"Production"},{"url":"https://api-stage.synap.ac/v3","description":"Staging"}],"security":[{"SessionAuth":[]},{"PATAuth":[]},{"AutomationAuth":[]},{"LegacySessionAuth":[]}],"components":{"securitySchemes":{"SessionAuth":{"type":"http","scheme":"bearer","description":"Authorize the request using a Session Token.","bearerFormat":"r:<token>"},"PATAuth":{"type":"http","scheme":"bearer","description":"Authorise the request using a personal access token.","bearerFormat":"p:"},"AutomationAuth":{"type":"http","scheme":"bearer","description":"Authorise the request with a short-lived token signed by the automations engine on behalf of a workflow owner.","bearerFormat":"a:<token>"},"LegacySessionAuth":{"type":"apiKey","description":"[Legacy] Authorize the request using a Session Token.","in":"header","name":"X-Syn-Session-Token"}},"schemas":{"ExamStats":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["ExamStats"]},"attributes":{"type":"object","properties":{"cronbachAlpha":{"type":"number","readOnly":true,"nullable":true},"kr20":{"type":"number","readOnly":true,"nullable":true},"isDichotomous":{"type":"boolean","readOnly":true},"totalCandidates":{"type":"number","readOnly":true},"submittedAttempts":{"type":"number","readOnly":true},"averageScore":{"type":"number","readOnly":true},"passCount":{"type":"number","readOnly":true},"passPercentage":{"type":"number","readOnly":true},"meanScore":{"type":"number","readOnly":true},"meanScorePercentage":{"type":"number","readOnly":true},"itemCount":{"type":"number","readOnly":true},"scoreDistribution":{"type":"object","readOnly":true,"description":"Score-distribution counts keyed by 1% score bands such as band0_1 and band99_100.","additionalProperties":{"type":"number"}},"outcomeCounts":{"type":"object","readOnly":true,"properties":{"correct":{"type":"number"},"incorrect":{"type":"number"},"partial":{"type":"number"},"skipped":{"type":"number"},"excluded":{"type":"number"}}},"gradeBreakdown":{"type":"object","readOnly":true,"description":"For graded exams, grade label to count of users achieving that grade.","additionalProperties":{"type":"number"}},"gradeOverrideCount":{"type":"number","readOnly":true,"description":"For graded exams, the number of submitted attempts with a manual grade override applied."},"revokedCount":{"type":"number","readOnly":true,"description":"Number of revoked attempts included in the exam stats aggregates."},"resitGradeBreakdown":{"type":"object","readOnly":true,"description":"For graded exams, grade label to count across submitted resit attempts in scope.","additionalProperties":{"type":"number"}},"lifecycle":{"type":"object","readOnly":true,"description":"Attempt lifecycle counts: generated, not started, in progress, and submitted.","properties":{"generated":{"type":"number"},"notStarted":{"type":"number"},"inProgress":{"type":"number"},"submitted":{"type":"number"}}},"resits":{"type":"object","readOnly":true,"description":"First-sit vs resit attempt counts.","properties":{"firstSit":{"type":"number"},"resit":{"type":"number"}}}}},"relationships":{"type":"object","properties":{"exam":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["Exam-V-2"]}}}}}}}}},"ObjectId":{"type":"string","description":"The primary key for each resource."},"BadRequestApiError":{"type":"object","description":"The request was invalid.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"UnauthorizedApiError":{"type":"object","description":"Unauthorized request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ForbiddenApiError":{"type":"object","description":"Forbidden request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"NotFoundApiError":{"type":"object","description":"The request resource could not be found.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}},"paths":{"/exam-stats":{"get":{"summary":"Get ExamStats","tags":["Exams"],"parameters":[{"name":"filter","in":"query","required":true,"schema":{"type":"object","required":["exam"],"properties":{"exam":{"type":"string"},"version":{"type":"string","pattern":"^[0-9]+$"},"versions":{"type":"array","maxItems":50,"items":{"type":"string","pattern":"^[0-9]+$"}}}}}],"responses":{"200":{"description":"Success","content":{"application/vnd.api+json":{"schema":{"required":["data"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ExamStats"}},"meta":{"type":"object","properties":{"updatedAt":{"type":"string","format":"date-time"}}}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BadRequestApiError"}}}}}}},"401":{"description":"Unauthorized","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/UnauthorizedApiError"}}}}}}},"403":{"description":"Forbidden","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ForbiddenApiError"}}}}}}},"404":{"description":"Not Found","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/NotFoundApiError"}}}}}}}},"operationId":"examStats.findExamStats"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://synap.ac/docs/api/reference/exams/get-examstats.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
